MEMORY
{
    ram : ORIGIN = 0x8000, LENGTH = 0x18000
    ram2 : ORIGIN = 0x20000, LENGTH = 0x7FE0000
}

SECTIONS
{
    .vector : { *(.vector) } > ram
    .text : { *(.text*) } > ram
    . = ALIGN(4);
    __idata_start = . ;
    .data : 
    {
        __data_start = . ;
        *(.data)
    } > ram2
    __idata_end = __idata_start + SIZEOF(.data);
    __bss_start = .;
    .bss : { *(.bss*) } > ram2
    __bss_end = .;
}
